<?xml version ="1.0"?>
<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml"/>
	<xsl:template match = "/">
		<HTML>
			<BODY>
				<H3>Sales sheet for <xsl:for-each select = "industrial_sales">
						<xsl:value-of select = "@month_id"/> (<xsl:value-of select = "@comment"/>)</xsl:for-each>
				</H3>
				<TABLE BORDER = "2">
					<TR>
						<TD>Agent Name</TD>
						<TD>Total Sales</TD>
						<TD>Total Calls</TD>
						<TD>Nails (in pkgs)</TD>
						<TD>Screws (in pkgs)</TD>
						<TD>Nuts (in pkgs)</TD>
						<TD>Bolts (in pkgs)</TD>
						<TD>Caster (ea.)</TD>
						<TD>Drill Bits (sets)</TD>
					</TR>
					<xsl:for-each select = "industrial_sales/sales_agent" order-by = "monthly/total_sales">
						<TR>
							<xsl:attribute name = "TITLE">
								<xsl:value-of select = "@focus"/>
							</xsl:attribute>
							<TD>
								<xsl:value-of select = "@name"/>
							</TD>
							<TD>
								<xsl:value-of select = "monthly/total_sales"/>
							</TD>
							<TD>
								<xsl:value-of select = "monthly/total_calls"/>
							</TD>
							<TD>
								<xsl:value-of select = "monthly/nails"/>
							</TD>
							<TD>
								<xsl:value-of select = "monthly/screws"/>
							</TD>
							<TD>
								<xsl:value-of select = "monthly/nuts"/>
							</TD>
							<TD>
								<xsl:value-of select = "monthly/bolts"/>
							</TD>
							<TD>
								<xsl:value-of select = "monthly/casters"/>
							</TD>
							<TD>
								<xsl:value-of select = "monthly/drill_bits"/>
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>
			</BODY>
		</HTML>
	</xsl:template>
</xsl:stylesheet>